%if 0%{?fedora} < 13 || 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-sprox
Version:        0.8.3
Release:        2%{?dist}
Summary:        A package for creation of web widgets directly from database schema

Group:          Development/Languages
License:        MIT
URL:            http://sprox.org

Source0:        http://pypi.python.org/packages/source/s/sprox/sprox-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?fedora} && 0%{?fedora} < 13
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif
BuildRequires:  python-sqlalchemy
BuildRequires:  python-formencode >= 1.2.2
BuildRequires:  python-strainer
BuildRequires:  python-tw-forms
BuildRequires:  python-mako
BuildRequires:  python-genshi
BuildRequires:  python-nose

Requires:       python-sqlalchemy
Requires:       python-formencode >= 1.2.2

%description
Sprox is a widget generation library that has a slightly different take on the
problem of creating custom web content directly from database schemas. Sprox
provides an easy way to create forms for web content which are: automatically
generated, easy to customize, and validated. Sprox also has powerful tools to
help you display your content the way you want to with table and record
viewers. Sprox provides a way to fill your widgets, whether they are forms or
other content with customizable data.

%prep
%setup -q -n sprox-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
rm -fr %{buildroot}%{python_sitelib}/tests

%check
# Disable ming tests until it is packaged
rm tests/test_mgormprovider.py
PYTHONPATH=$(pwd) nosetests

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/sprox*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Luke Macken <lmacken@redhat.com> - 0.8.3-1
- Update to 0.8.3 and get the test suite running again

* Mon Apr  8 2013 Luke Macken <lmacken@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 07 2011 Luke Macken <lmacken@redhat.com> - 0.6.11-1
- Update to 0.6.11

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 0.6.10-1
- Update to 0.6.10

* Mon Aug 03 2009 Luke Macken <lmacken@redhat.com> - 0.6.3-1
- 0.6.3

* Mon Jun 08 2009 Luke Macken <lmacken@redhat.com> - 0.6.1-1
- Update to the latest upstream release

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.5.5-1
- Initial package
